(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 12.1' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[      9830,        215]
NotebookOptionsPosition[      9217,        196]
NotebookOutlinePosition[      9656,        213]
CellTagsIndexPosition[      9613,        210]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{"<<", "VilCretas`"}]], "Input",
 CellChangeTimes->{{3.8133180405205746`*^9, 3.81331804481916*^9}},
 CellLabel->"In[1]:=",ExpressionUUID->"3dbe346f-5738-4edd-9429-1c3129f1727b"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"A", "=", 
   RowBox[{"(", "\[NoBreak]", GridBox[{
      {"0", "1", "0", "0", "2", "0", "0"},
      {"1", "0", "7", "0", "3", "0", "5"},
      {"0", "7", "0", "8", "0", "1", "2"},
      {"0", "0", "8", "0", "0", "3", "0"},
      {"2", "3", "0", "0", "0", "6", "4"},
      {"0", "0", "1", "3", "6", "0", "4"},
      {"0", "5", "2", "0", "4", "4", "0"}
     }], "\[NoBreak]", ")"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"grafo", "=", 
  RowBox[{"GrafoMP", "[", 
   RowBox[{"A", ",", 
    RowBox[{"{", 
     RowBox[{
     "a", ",", "b", ",", "c", ",", "d", ",", "e", ",", "f", ",", "g"}], "}"}],
     ",", 
    RowBox[{"mostrarpesos", "\[Rule]", "True"}]}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.813318066917431*^9, 3.8133181030709376`*^9}, {
   3.8133185314789124`*^9, 3.813318542524365*^9}, {3.8133235979287376`*^9, 
   3.813323618376316*^9}, {3.8133466719791436`*^9, 3.8133466724442005`*^9}, {
   3.8133467541434236`*^9, 3.813346757652173*^9}, 3.813346822010618*^9, 
   3.8133479463875256`*^9, 3.8133481042480035`*^9, {3.813418438266122*^9, 
   3.8134184599914107`*^9}, {3.8134231380929728`*^9, 3.813423180019582*^9}, {
   3.813423704559657*^9, 3.8134237294590054`*^9}, {3.8134242910055747`*^9, 
   3.813424291435361*^9}},
 CellLabel->"In[25]:=",ExpressionUUID->"d0cc1d56-0e87-4799-9f08-2e03d2d80484"],

Cell[BoxData[
 GraphicsBox[
  NamespaceBox["NetworkGraphics",
   DynamicModuleBox[{Typeset`graph = HoldComplete[
     Graph[{$CellContext`a, $CellContext`b, $CellContext`c, $CellContext`d, \
$CellContext`e, $CellContext`f, $CellContext`g}, {
      Null, {{1, 2}, {1, 5}, {2, 3}, {2, 5}, {2, 7}, {3, 4}, {3, 6}, {3, 7}, {
       4, 6}, {5, 6}, {5, 7}, {6, 7}}}, {
      EdgeLabels -> {
        UndirectedEdge[$CellContext`a, $CellContext`e] -> 2, 
         UndirectedEdge[$CellContext`b, $CellContext`g] -> 5, 
         UndirectedEdge[$CellContext`b, $CellContext`e] -> 3, 
         UndirectedEdge[$CellContext`c, $CellContext`f] -> 1, 
         UndirectedEdge[$CellContext`c, $CellContext`d] -> 8, 
         UndirectedEdge[$CellContext`e, $CellContext`g] -> 4, 
         UndirectedEdge[$CellContext`c, $CellContext`g] -> 2, 
         UndirectedEdge[$CellContext`f, $CellContext`g] -> 4, 
         UndirectedEdge[$CellContext`b, $CellContext`c] -> 7, 
         UndirectedEdge[$CellContext`e, $CellContext`f] -> 6, 
         UndirectedEdge[$CellContext`d, $CellContext`f] -> 3, 
         UndirectedEdge[$CellContext`a, $CellContext`b] -> 1}, 
       EdgeWeight -> {1, 2, 7, 3, 5, 8, 1, 2, 3, 6, 4, 4}, ImagePadding -> 10,
        VertexLabels -> {"Name"}}]]}, 
    TagBox[GraphicsGroupBox[{
       {Hue[0.6, 0.7, 0.5], Opacity[
        0.7], {LineBox[{{0., 0.4422504218292096}, {0.9762302272777114, 
          0.8844322684854117}}], 
         InsetBox["1", {0.4881151136388557, 0.6633413451573107}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{0., 0.4422504218292096}, {0.9761333399134092, 
          0.0002658071530296513}}], 
         InsetBox["2", {0.4880666699567046, 0.22125811449111962}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{0.9762302272777114, 0.8844322684854117}, {
          2.275266033825753, 0.8849550208937482}}], 
         InsetBox["7", {1.6257481305517323, 0.8846936446895799}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{0.9762302272777114, 0.8844322684854117}, {
          0.9761333399134092, 0.0002658071530296513}}], 
         InsetBox["3", {0.9761817835955603, 0.44234903781922064}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{0.9762302272777114, 0.8844322684854117}, {
          1.6262890435106612`, 0.44211834654194904`}}], 
         InsetBox["5", {1.3012596353941863, 0.6632753075136804}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{2.275266033825753, 0.8849550208937482}, {
          3.2500365880884603`, 0.4422791616494721}}], 
         InsetBox["8", {2.7626513109571067, 0.6636170912716102}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{2.275266033825753, 0.8849550208937482}, {2.275845700249965,
           0.}}], InsetBox["1", {2.275555867037859, 0.4424775104468741}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{2.275266033825753, 0.8849550208937482}, {
          1.6262890435106612`, 0.44211834654194904`}}], 
         InsetBox["2", {1.9507775386682071, 0.6635366837178487}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{3.2500365880884603`, 0.4422791616494721}, {
          2.275845700249965, 0.}}], 
         InsetBox["3", {2.7629411441692127, 0.22113958082473606}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{0.9761333399134092, 0.0002658071530296513}, {
          2.275845700249965, 0.}}], 
         InsetBox["6", {1.6259895200816872, 0.00013290357651482565}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{0.9761333399134092, 0.0002658071530296513}, {
          1.6262890435106612`, 0.44211834654194904`}}], 
         InsetBox["4", {1.3012111917120353, 0.22119207684748934}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{2.275845700249965, 0.}, {1.6262890435106612`, 
          0.44211834654194904`}}], 
         InsetBox["4", {1.951067371880313, 0.22105917327097452}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}}, 
       {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
        0.7]}], {DiskBox[{0., 0.4422504218292096}, 0.03200615440526608], 
         InsetBox["a", 
          Offset[{2, 2}, {0.03200615440526608, 0.4742565762344757}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.9762302272777114, 0.8844322684854117}, 
          0.03200615440526608], 
         InsetBox["b", 
          Offset[{2, 2}, {1.0082363816829774, 0.9164384228906778}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.275266033825753, 0.8849550208937482}, 
          0.03200615440526608], 
         InsetBox["c", 
          Offset[{2, 2}, {2.307272188231019, 0.9169611752990143}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{3.2500365880884603, 0.4422791616494721}, 
          0.03200615440526608], 
         InsetBox["d", 
          Offset[{2, 2}, {3.282042742493726, 0.4742853160547382}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.9761333399134092, 0.0002658071530296513}, 
          0.03200615440526608], 
         InsetBox["e", 
          Offset[{2, 2}, {1.0081394943186752, 0.03227196155829573}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.275845700249965, 0.}, 0.03200615440526608], 
         InsetBox["f", 
          Offset[{2, 2}, {2.307851854655231, 0.03200615440526608}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.6262890435106612, 0.44211834654194904}, 
          0.03200615440526608], 
         InsetBox["g", 
          Offset[{2, 2}, {1.6582951979159273, 0.47412450094721514}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}}}],
     MouseAppearanceTag["NetworkGraphics"]],
    AllowKernelInitialization->False]],
  DefaultBaseStyle->{
   "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
  FormatType->TraditionalForm,
  FrameTicks->None,
  ImagePadding->10]], "Output",
 CellChangeTimes->{{3.8133180951993113`*^9, 3.813318103850173*^9}, 
   3.8133185450372105`*^9, 3.8133236193748198`*^9, 3.813340490412181*^9, 
   3.8133466739040956`*^9, 3.813346758680972*^9, {3.8133468257899914`*^9, 
   3.8133468406113424`*^9}, {3.813346955885067*^9, 3.8133469801692066`*^9}, 
   3.813347948371088*^9, {3.813348092379881*^9, 3.8133481056947074`*^9}, 
   3.813348141301208*^9, 3.8133531250239267`*^9, 3.8134177588458796`*^9, 
   3.8134184681026707`*^9, 3.813418519838835*^9, {3.8134206206348944`*^9, 
   3.813420634555586*^9}, 3.8134207099180565`*^9, {3.813423152361533*^9, 
   3.8134231804350634`*^9}, {3.813423705126474*^9, 3.8134237298235016`*^9}, 
   3.8134242926712923`*^9},
 CellLabel->"Out[26]=",ExpressionUUID->"cb1db87c-5177-43de-91fb-7d8092aa4d7f"]
}, Open  ]]
},
WindowSize->{1440., 747.75},
WindowMargins->{{Automatic, 956}, {-18.5, Automatic}},
Magnification:>1.5 Inherited,
FrontEndVersion->"12.1 para Microsoft Windows (64-bit) (March 14, 2020)",
StyleDefinitions->"Default.nb",
ExpressionUUID->"7b48d8cb-6e0b-46c4-92d6-30dce2e80710"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 199, 3, 63, "Input",ExpressionUUID->"3dbe346f-5738-4edd-9429-1c3129f1727b"],
Cell[CellGroupData[{
Cell[782, 27, 1345, 28, 423, "Input",ExpressionUUID->"d0cc1d56-0e87-4799-9f08-2e03d2d80484"],
Cell[2130, 57, 7071, 136, 359, "Output",ExpressionUUID->"cb1db87c-5177-43de-91fb-7d8092aa4d7f"]
}, Open  ]]
}
]
*)

